EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a directory and an "open e-book" (OEB) consisting of HTML files is written to that directory. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see conversion

Whenever you pass arguments to ebook-convert that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

Le opzioni e i valori di default cambiano a seconda sia del formato di input che ti output, quindi bisognerebbe sempre controllare:

ebook-convert myfile.input_format myfile.output_format -h

Sotto sono presentate le opzioni comuni per tutte le conversioni, seguite da opzioni specifiche per ogni formato di input e di output.

•   OPZIONI DI INPUT

•   OPZIONI DI OUTPUT

•   IMPRESSIONE VISIVA

•   ELABORAZIONE EURISTICA

•   CERCA E SOSTITUISCI

•   RILEVAZIONE STRUTTURA

•   INDICE

•   METADATI

•   DEBUG

--help, -h
    mostra questo messaggio di aiuto ed esci

--input-profile
    Specificare il profilo di input. Il profilo di input fornisce informazioni al sistema di conversione su come interpretare i vari dati del documento di input. Per esempio lunghezze dipendenti dalla risoluzione (es. lunghezze in pixel). Le scelte sono:cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    List builtin recipe names. You can create an e-book from a builtin recipe like this: ebook-convert "Recipe Name.recipe" output.epub

--output-profile
    Specifica il profilo di output. Il profilo di output specifica al sistema di conversione come ottimizzare il documento creato per lo specifico dispositivo (come ridimensionando le immagini per la dimensione dello schermo del dispositivo). In alcuni casi, un profilo di output può essere usato per ottimizzare l'output per un particolare dispositivo, ma raramente è necessario. Le scelte sono:cybookg3, cybook_opus, default, generic_eink, generic_eink_hd, generic_eink_large, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

--version
    mostra la versione del programma ed esci

OPZIONI DI INPUT

Opzioni per controllare l'elaborazione dei file di input mobi

--input-encoding
    Specifica la codifica dei caratteri del documento di origine. Se impostata, questa opzione sovrascrive l'eventuale codifica indicata nel documento stesso. Particolarmente utile per documenti in cui la codifica non è esplicitamente indicata o che hanno dichiarazioni di codifica errate.

OPZIONI DI OUTPUT

Opzioni per controllare l'elaborazione dell'output epub

--dont-split-on-page-breaks
    Turn off splitting at page breaks. Normally, input files are automatically split at every page break into two files. This gives an output e-book that can be parsed faster and with less resources. However, splitting is slow and if your source file contains a very large number of page breaks, you should turn off splitting on page breaks.

--epub-flatten
    Questa opzione è necessaria solo se si intende usare l'epub con FBReaderJ. Verrà linearizzata la struttura all'interno dell'epub, tutti i file saranno spostati nella cartella principale.

--epub-inline-toc
    Inserisci un indice che apparirà come parte del contenuto principale del libro

--epub-toc-at-end
    Inserire la tabella dei contenuti alla fine del libro al posto che alla fine

--epub-version
    The version of the EPUB file to generate. EPUB 2 is the most widely compatible, only use EPUB 3 if you know you actually need it.

--extract-to
    Estrae il contenuto del file EPUB generato nella cartella selezionata. Il contenuto della cartella viene prima eliminato, quindi fate attenzione.

--flow-size
    Separa tutti i file HTML più grandi di questa dimensione (in KB). Ciò è necessario in quanto molti lettori EPUB non sono in grado di gestire file di dimensioni maggiori. La dimensione di 260KB è quella di default per le Edizioni Digitali di Adobe. Imposta a 0 per disabilitare la divisione basata sulla dimensione.

--no-default-epub-cover
    In genere, se il file di input non ha una copertina e non ne viene specificata una, viene generata una copertina predefinita con il titolo, l'autore, etc. Questa opzione disabilita la generazione di questa copertina.

--no-svg-cover
    Non utilizzare SVG per la copertina del libro. Usare questa opzione se l'EPUB verrà usato su un dispositivo che non supporta SVG, come l'iPhone o il JetBook Lite. Senza questa opzione, alcuni dispositivi visualizzeranno come copertina una pagina bianca.

--preserve-cover-aspect-ratio
    Quando viene usata una copertina SVG, questa opzione ridimensiona la copertina per coprire l'area dello schermo, ma preservando le proporzioni. Questo significa che potrebbero esserci dei bordi bianchi intorno alla copertina, ma questa non verrà distorta. Senza questa opzione l'immagine potrebbe essere sproporzionata anche se non avrà bordi bianchi.

--pretty-print
    Se specificato, il plugin tenta di creare un output il più leggibile possibile. Potrebbe non avere effetto per alcuni plugin.

--toc-title
    Titolo per ogni indice in-line generato.

IMPRESSIONE VISIVA

Opzioni per controllare l'aspetto dell'output

--asciiize
    Traslittera i caratteri unicode in caratteri ASCII. Usare con attenzione perché i caratteri unicode verranno sostituiti. Ad esempio, sostituirà "Михаил Горбачёв" con "Mikhail Gorbachiov". Nei casi in cui sono possibili più rappresentazioni di un carattere (ad esempio i caratteri in comune tra cinese e giapponese) verrà usata la rappresentazione del linguaggio scelto per l'interfaccia di calibre.

--base-font-size
    The base font size in pts. All font sizes in the produced book will be rescaled based on this size. By choosing a larger size you can make the fonts in the output bigger and vice versa. By default, when the value is zero, the base font size is chosen based on the output profile you chose.

--change-justification
    Cambia allineamento del testo. Impostato a "sinistra" il testo della sorgente sarà convertito con un allineamento a sinistra. Impostato a "giustificato" il testo verrà distribuito per larghezza della pagina. Impostato a "originale" (predefinito) l'allineamento non verrà cambiato. Notare che solo alcuni formati di output supportano il testo giustificato.

--disable-font-rescaling
    Disabilita il ridimensionamento dei caratteri.

--embed-all-fonts
    Include qualsiasi font che sia presente ma non incorporato nel documento immesso. Verranno cercati i font nel sistema e, se trovati, verranno incorporati. L'inclusione funziona solo se il formato di destinazione, come EPUB, AZW3, DOCX o PDF, supporta l'incorporazione dei font, Assicurarsi di avere font con le licenze valide per l'incorporamento.

--embed-font-family
    Includere il font nell'ebook. Permette di specificare il font di "base" utilizzato per l'ebook. Il font "base" potrebbe venir sostituito/ignorato da eventuali font già incorporati nel documento. Notare che l'inclusione di font funziona solo con il salvataggio in formati specifici tra cui EPUB, AZW3 e DOCX.

--expand-css
    By default, calibre will use the shorthand form for various CSS properties such as margin, padding, border, etc. This option will cause it to use the full expanded form instead. Note that CSS is always expanded when generating EPUB files with the output profile set to one of the Nook profiles as the Nook cannot handle shorthand CSS.

--extra-css
    Questo può essere il percorso a un documento di stile CSS o al codice CSS. Il CSS verrà aggiunto agli stili del documento sorgente e pertanto può essere usato per ridefinire gli stili esistenti.

--filter-css
    Un elenco separato da virgole delle proprietà CSS che saranno rimosse da tutte le regole di stile CSS. Ciò è utile se la presenza di alcune informazioni di stile impedisce l'applicazione delle regole del dispositivo. Ad esempio: font-family,color,margin-left,margin-right

--font-size-mapping
    Rappresentare le dimensioni di caratteri dai nomi in CSS alle dimensioni in punti. Un esempio di valori è 10,12,14,16,18,20,22,24. Questi sono i valori usati per riprodurre le dimensioni da xx-small a xx-large, con l'ultima dimensione per i caratteri enormi. L'algoritmo di ridimensionamento usa questi riferimenti per ridimensionare i caratteri. Il valore predefinito è di utilizzare un modello basato sul tipo di output scelto.

--insert-blank-line
    Inserisci una riga vuota tra i paragrafi. Non funzionerà se il file sorgente non usa i paragrafi (tag <p> o <div>).

--insert-blank-line-size
    Imposta l'altezza delle righe vuote inserite (in em). L'altezza delle righe tra i paragrafi sarà doppia del valore impostato qui.

--keep-ligatures
    Mantieni i legami presenti nel documento di input. Un legame è una speciale formattazione di una coppia di caratteri come ff, fi, fl, ecc. La maggior parte del lettori non supportano i legami con i caratteri predefiniti, così questi non verranno letti correttamente. Calibre converte automaticamente un legame nei corrispondenti due caratteri. Questa opzione manterrà i legami nel documento generato.

--line-height
    Altezza della riga, espressa in punti. Gestisce la spaziatura tra righe consecutive di testo. Si applica solo ad elementi che con definiscono la propria altezza. I molti casi, l'opzione che definisce l'altezza minima della riga è più utile. In modo predefinito non viene applicata nessuna manipolazione di altezza della riga.

--linearize-tables
    Alcuni documenti mal costruiti usano tabelle per controllare la struttura del testo nella pagina. Questi documenti, una volta convertiti, spesso presentano testi non allineati nella pagina ed altri difetti grafici. Questa opzione estrae il contenuto dalle tabelle e lo presenta in maniera lineare.

--margin-bottom
    Set the bottom margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-left
    Set the left margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-right
    Set the right margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--margin-top
    Set the top margin in pts. Default is 5.0. Setting this to less than zero will cause no margin to be set (the margin setting in the original document will be preserved). Note: Page oriented formats such as PDF and DOCX have their own margin settings that take precedence.

--minimum-line-height
    L'altezza minima della riga, come percentuale della dimensione degli elementi del carattere. Calibre farà in modo che ogni elemento abbia almeno questa dimensione, senza tenere conto di quanto specifica il documento in input. Per disabilitare, imposta il valore a zero. Il valore predefinito è 120%. Usa questa impostazione rispetto all'impostazione diretta dell'altezza della riga, a meno di conoscere esattamente cosa stai facendo. Ad esempio, è possibile impostare la "Spaziatura doppia" utilizzando il valore 240.

--remove-paragraph-spacing
    Rimuovi gli spazi fra i paragrafi. Imposta anche un rientro dei paragrafi di 1.5em. La rimozione degli spazi non funzionerà se il documento sorgente non usa la notazione per i paragrafi del tipo <p> o <div>.

--remove-paragraph-spacing-indent-size
    Quando calibre rimuove le righe vuote tra paragrafi, imposta automaticamente un rientro di paragrafo, per assicurare che i paragrafi siano facilmente distinguibili. Questa opzione controlla l'ampiezza di questo rientro (in em). Se imposti un valore negativo, viene utilizzato il rientro specificato nel documento in ingresso, in altre parole, calibre non cambierà il rientro.

--smarten-punctuation
    Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see https://daringfireball.net/projects/smartypants

--subset-embedded-fonts
    Sottoinsieme di tutti i caratteri integrati. Ogni carattere integrato è ridotto per contenere solo i glifi utilizzati in questo documento. Ciò riduce la dimensione dei file dei caratteri. Utile se stai integrando un carattere particolarmente grande con molti glifi non utilizzati.

--transform-css-rules
    Path to a file containing rules to transform the CSS styles in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform styles" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--unsmarten-punctuation
    Converti virgolette eleganti, trattini e punti di sospensione nel loro equivalente semplice.

ELABORAZIONE EURISTICA

Modifica il testo e la struttura del documento utilizzando schemi comuni. Disabilitata in modo predefinito. Usa --enable-heuristics per abilitarla. Azioni singole possono essere disabilitate con le opzioni --disable-
*
.

--disable-dehyphenate
    Analizza nel documento le parole che contengono un trattino. Lo stesso documento è utilizzato come un dizionario per determinare quando i trattini devono essere rimossi o mantenuti.

--disable-delete-blank-paragraphs
    Rimuovi i paragrafi vuoti dal documento quando sono presenti tra gli altri paragrafi

--disable-fix-indents
    Cambia il rientro ottenuto con spazi multipli in un rientro CSS.

--disable-format-scene-breaks
    I marcatori di interruzione di scena allineati a sinistra sono centrati. Sostituisci le interruzioni di scena leggere, che usano più paragrafi vuoti, con un tratteggio orizzontale.

--disable-italicize-common-cases
    Cerca parole e segni che indicano l'uso del corsivo e rendili in corsivo.

--disable-markup-chapter-headings
    Rileva i titoli e i sottotitoli di paragrafo non formattati. Cambia i tag in h2 e h3. Questa impostazione non creerà un indice, ma può essere utilizzata con la funzione di rilevamento della struttura crearne uno.

--disable-renumber-headings
    Cerca occorrenze di sequenze di tag <h1> o <h2>. I tag sono rinumerati per prevenire la divisione a metà del titolo di capitolo.

--disable-unwrap-lines
    Unisci le righe utilizzando la punteggiatura o altri metodi di formattazione.

--enable-heuristics
    Abilita l'elaborazione euristica. Questa opzione deve essere impostata per attivare l'elaborazione euristica.

--html-unwrap-factor
    Scala usata per determinare la posizione alla quale la riga dovrebbe essere troncata. I valori ammessi sono i decimali tra 0 e 1. Il valore predefinito è 0.4, appena sotto il valore mediano della lunghezza. Se solo alcune righe risultano sfasate questo valore dovrebbe essere ridotto.

--replace-scene-breaks
    Sostituisci i marcatori di interruzione scena con un testo specifico. In modo predefinito, viene usato il testo del documento.

CERCA E SOSTITUISCI

Modifica il testo e la struttura del documento usando pattern definiti.

--search-replace
    Path to a file containing search and replace regular expressions. The file must contain alternating lines of regular expression followed by replacement pattern (which can be an empty line). The regular expression must be in the Python regex syntax and the file must be UTF-8 encoded.

--sr1-replace
    Elemento sostitutivo del testo trovato con sr1-search.

--sr1-search
    Pattern di ricerca (espressione regolare) da sostituire con sr1-replace.

--sr2-replace
    Elemento sostitutivo del testo trovato con sr2-search.

--sr2-search
    Pattern di ricerca (espressione regolare) da sostituire con sr2-replace.

--sr3-replace
    Elemento sostitutivo del testo trovato con sr3-search.

--sr3-search
    Pattern di ricerca (espressione regolare) da sostituire con sr3-replace.

RILEVAZIONE STRUTTURA

Controlla il rilevamento automatico della struttura del documento.

--chapter
    An XPath expression to detect chapter titles. The default is to consider <h1> or <h2> tags that contain the words "chapter", "book", "section", "prologue", "epilogue" or "part" as chapter titles as well as any tags that have class="chapter". The expression used must evaluate to a list of elements. To disable chapter detection, use the expression "/". See the XPath Tutorial in the calibre User Manual for further help on using this feature.

--chapter-mark
    Specificare come marcare i capitoli rilevati. Il valore "pagebreak" inserirà un'interruzione di pagina prima del capitolo. Il valore "rule" inserirà una linea prima del capitolo. Il valore "none" disabiliterà la marcatura dei capitoli e il valore "both" userà sia l'interruzione di pagina che la linea per marcare i capitoli.

--disable-remove-fake-margins
    Alcuni documenti specificano i margini destro e sinistro per ogni singolo paragrafo. calibre cercherà di trovare ed eliminare questi margini. Qualche volta questo meccanismo elimina però dei margini che non dovrebbero essere rimossi. In questo caso disabilita la funzione.

--insert-metadata
    Insert the book metadata at the start of the book. This is useful if your e-book reader does not support displaying/searching metadata directly.

--page-breaks-before
    Un'espressione XPath. Le interruzioni di pagina sono inserite prima degli elementi specificati. Per disabilitarla, usa l'espressione: /

--prefer-metadata-cover
    Usa la copertina rilevata dal file di origine al posto di quella specificata.

--remove-first-image
    Remove the first image from the input e-book. Useful if the input document has a cover image that is not identified as a cover. In this case, if you set a cover in calibre, the output document will end up with two cover images if you do not specify this option.

--start-reading-at
    An XPath expression to detect the location in the document at which to start reading. Some e-book reading programs (most prominently the Kindle) use this location as the position at which to open the book. See the XPath tutorial in the calibre User Manual for further help using this feature.

INDICE

Gestisce la generazione automatica dell'indice. In modo predefinito, se il file sorgente ha un indice, questo sarà preferito a quello generato automaticamente.

--duplicate-links-in-toc
    Quando crei un indice dai collegamenti nel documento in ingresso, consenti la duplicazione delle voci, ovvero permetti più di una voce con lo stesso testo, a condizione che si riferiscano a una posizione diversa.

--level1-toc
    L'espressione XPath che specifica tutti i tag che devono essere aggiunti al primo livello dell'indice. Se è specificato, ha la precedenza su altre forme di rilevamento automatico. Vedi la guida a XPath del manuale utente di calibre per gli esempi.

--level2-toc
    L'espressione XPath che specifica tutti i tag che devono essere aggiunti al secondo livello dell'indice. Ogni voce è aggiunta sotto la precedente voce di primo livello. Vedi la guida a XPath del manuale utente di calibre per gli esempi.

--level3-toc
    L'espressione XPath che specifica tutti i tag che devono essere aggiunti al terzo livello dell'indice. Ogni voce è aggiunta sotto la precedente voce di secondo livello. Vedi la guida a XPath del manuale utente di calibre per gli esempi.

--max-toc-links
    Massimo numero di link da inserire nell'indice. Impostare a 0 per disabilitarlo. Il default è 50. I link sono aggiunti all'indice soltanto se non è già stato raggiunto il numero di capitoli impostati.

--no-chapters-in-toc
    Non aggiungere i capitoli rilevati automaticamente all'indice.

--toc-filter
    Rimuovi dall'indice le voci il cui titolo corrisponde alla espressione specificata. Le voci che corrispondono saranno rimosse insieme alle voci "figlie".

--toc-threshold
    Se viene rilevato un numero di capitoli inferiore a questo, i collegamenti saranno aggiunti all'indice. Predefinito: 6

--use-auto-toc
    Normalmente, se il file sorgente possiede già un indice, esso è usato di preferenza rispetto a quello auto-generato. Con questa opzione, verrà sempre usato l'indice auto-generato.

METADATI

Opzioni per impostare i metadati in output

--author-sort
    Stringa da utilizzare quando si ordina per autore.

--authors
    Imposta gli autori. Autori multipli devono essere separati dal carattere &.

--book-producer
    Imposta il produttore del libro.

--comments
    Set the e-book description.

--cover
    Seleziona la copertina da un file o da un URL

--isbn
    Imposta il codice ISBN del libro.

--language
    Imposta la lingua.

--pubdate
    Set the publication date (assumed to be in the local timezone, unless the timezone is explicitly specified)

--publisher
    Set the e-book publisher.

--rating
    Imposta la valutazione. Deve essere un numero compreso tra 1 e 5.

--read-metadata-from-opf, --from-opf, -m
    Leggi i metadati dal file OPF specificato. I metadati letti da questo file sovrascrivono qualunque altro metadato presente nel file sorgente.

--series
    Set the series this e-book belongs to.

--series-index
    Imposta l'indice analitico del libro in questa serie.

--tags
    Imposta i tag per il libro. Deve essere un elenco separato da virgole.

--timestamp
    Imposta la marca temporale del libro (non più utilizzata ovunque)

--title
    Imposta il titolo.

--title-sort
    La versione del titolo da usare per l'ordinamento.

DEBUG

Opzioni per aiutare a individuare problemi con la conversione

--debug-pipeline, -d
    Salva l'output dei differenti stadi di conversione raggiunti nella cartella specificata. Utile se non si conosce in quale stadio del processo di conversione si verifica l'errore.

--verbose, -v
    Livello di verbosità. Specificare più volte per maggiore verbosità. Due volte verbosità massima, una volta per verbosità media e zero per quella più bassa.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal